> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vogent.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Eval Result

> Gets an AI evaluation result.



## OpenAPI

````yaml get /eval_results/{id}
openapi: 3.0.3
info:
  title: Vogent - OpenAPI 3.0
  description: Test Description
  version: 1.0.11
servers:
  - url: https://api.vogent.ai/api
security:
  - bearerAuth: []
paths:
  /eval_results/{id}:
    get:
      summary: Get Eval Result
      description: Gets an AI evaluation result.
      operationId: getEvalResult
      parameters:
        - in: path
          name: id
          schema:
            type: string
          required: true
          description: ID of the eval result.
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AIEvalResult'
        '400':
          description: Invalid input
        '422':
          description: Validation exception
components:
  schemas:
    AIEvalResult:
      type: object
      properties:
        id:
          type: string
          nullable: false
        evalRunId:
          type: string
          nullable: false
        record:
          $ref: '#/components/schemas/AIEvalRecord'
        numAlerts:
          type: integer
          nullable: false
        results:
          type: array
          items:
            $ref: '#/components/schemas/AIEvalResultLine'
          x-go-type-skip-optional-pointer: true
        transcript:
          type: array
          x-go-type-skip-optional-pointer: true
          items:
            $ref: '#/components/schemas/CallTranscriptEntry'
        simulationMetadata:
          $ref: '#/components/schemas/AIEvalSimulationMetadata'
          nullable: true
        createdAt:
          type: string
          format: date-time
          nullable: false
      required:
        - id
        - evalRunId
        - record
        - numAlerts
        - results
        - transcript
        - createdAt
    AIEvalRecord:
      type: object
      properties:
        id:
          type: string
          nullable: false
        recordType:
          $ref: '#/components/schemas/AIEvalRecordType'
        dialId:
          type: string
          nullable: true
        prompt:
          $ref: '#/components/schemas/AIEvalPrompt'
          nullable: true
      required:
        - id
        - recordType
    AIEvalResultLine:
      type: object
      properties:
        index:
          type: integer
          nullable: false
        accurate:
          type: boolean
          nullable: false
        reason:
          type: string
          nullable: true
        modelOutput:
          type: string
          nullable: false
      required:
        - index
        - accurate
        - modelOutput
    CallTranscriptEntry:
      type: object
      properties:
        text:
          type: string
        speaker:
          type: string
          description: >-
            Either `HUMAN` or `AI`, indicating the speaker type. If this is a
            function call result the speaker will be `AI`, while the
            `detailType` will be `function`.
        detailType:
          type: string
          nullable: true
          description: Will be `function` if this is a function result, otherwise `null`.
        functionCallId:
          type: string
          description: The function call ID if this is a tool call result.
        startTimeMs:
          type: integer
        endTimeMs:
          type: integer
        functionCalls:
          type: array
          items:
            $ref: '#/components/schemas/CallTranscriptFunctionCall'
        nodeTransition:
          $ref: '#/components/schemas/CallTranscriptNodeTransition'
      required:
        - text
        - speaker
    AIEvalSimulationMetadata:
      type: object
      properties:
        totalTurns:
          type: integer
          nullable: false
        endReason:
          type: string
          nullable: false
        simulationDurationMs:
          type: integer
          nullable: false
        numInputTokens:
          type: integer
          nullable: false
        numCachedInputTokens:
          type: integer
          nullable: false
        numOutputTokens:
          type: integer
          nullable: false
      required:
        - totalTurns
        - endReason
        - simulationDurationMs
        - numInputTokens
        - numCachedInputTokens
        - numOutputTokens
    AIEvalRecordType:
      type: string
      enum:
        - DIAL
        - PROMPT
      description: The type of evaluation record.
      nullable: false
    AIEvalPrompt:
      type: object
      properties:
        id:
          type: string
          nullable: false
        name:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        systemPrompt:
          type: string
          nullable: false
        maxTurns:
          type: integer
          nullable: false
        agentInputs:
          type: string
          nullable: true
        createdAt:
          type: string
          format: date-time
          nullable: false
      required:
        - id
        - systemPrompt
        - maxTurns
        - createdAt
    CallTranscriptFunctionCall:
      type: object
      properties:
        functionCallId:
          type: string
        name:
          type: string
        args:
          type: string
          description: The arguments to the function call, JSON encoded if it is an object.
      required:
        - name
        - args
    CallTranscriptNodeTransition:
      type: object
      properties:
        toNodeId:
          type: string
        transitionData:
          type: object
          additionalProperties: {}
          x-go-type: interface{}
          x-go-type-skip-optional-pointer: true
          nullable: true
      required:
        - toNodeId
        - transitionData
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        In the form `Bearer <api_key_here>`. You can find your api key in your
        dashboard.

````